Package: groovy.console.ui.text

## [Java] Class TextUndoManager

- groovy.console.ui.text.TextUndoManager

-     public class TextUndoManager
      extends UndoManager

  To use this, simply drop this as an UndoableEditListener into your document, and then create actions to call undo/redo as needed (checking can undo/redo first, of course).

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TextUndoManager()` Creates a new instance of TextUndoManager.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addPropertyChangeListener(PropertyChangeListener pcl)`
    `` | `public void` | `die()`
    `` | `public void` | `discardAllEdits()`
    `` | `protected void` | `firePropertyChangeEvent(String name, boolean oldValue, boolean newValue)`
    `` | `public boolean` | `hasChanged()`
    `` | `public void` | `redo()`
    `` | `protected void` | `redoTo(UndoableEdit edit)`
    `` | `public void` | `removePropertyChangeListener(PropertyChangeListener pcl)`
    `` | `public void` | `reset()`
    `` | `protected void` | `trimEdits(int from, int to)`
    `` | `public void` | `undo()`
    `` | `public void` | `undoableEditHappened(UndoableEditEvent uee)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UndoManager` | `getLimit, toString, end, setLimit, redo, addEdit, undoableEditHappened, undo, canUndo, canRedo, getUndoPresentationName, getRedoPresentationName, discardAllEdits, undoOrRedo, canUndoOrRedo, getUndoOrRedoPresentationName, die, isSignificant, getPresentationName, isInProgress, replaceEdit, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TextUndoManager()

      Creates a new instance of TextUndoManager.

  - ### Method Detail

    - #### public void addPropertyChangeListener(PropertyChangeListener pcl)

    - #### @Override
      public void die()

    - #### @Override
      public void discardAllEdits()

    - #### protected void firePropertyChangeEvent(String name, boolean oldValue, boolean newValue)

    - #### public boolean hasChanged()

    - #### @Override
      public void redo()

    - #### @Override
      protected void redoTo(UndoableEdit edit)

    - #### public void removePropertyChangeListener(PropertyChangeListener pcl)

    - #### public void reset()

    - #### @Override
      protected void trimEdits(int from, int to)

    - #### @Override
      public void undo()

    - #### @Override
      public void undoableEditHappened(UndoableEditEvent uee)